<template>
  <div id="commentList">
    <h1 class="comments-ini">Comments</h1>
    <button @click="goToAddComment" class="add-comment">+</button>
    <div v-for="comment in listOfComment" :key="comment">
      <CommentCard
        class="comment_card"
        @delete-comment-event="emitDeleteComment"
        @edit-comment-event="editComment"
        :detailsComment="comment"
        :idContact="idContact"
      />
    </div>
  </div>
</template>

<script>
import CommentCard from "./CommentCard.vue";

export default {
  name: "CommentList",
  components: {
    CommentCard
  },
  props: {
    listOfComment: { objectType: Array, required: true },
    idContact: { objecttype: String, required: true }
  },
  methods: {
    emitDeleteComment(commentId) {
      this.$emit("delete-comment-event", commentId);
    },
    editComment(commentId) {
      this.$emit("edit-details-event", commentId);
    },
    goToAddComment() {
      this.$emit("go-to-add-comment-event");
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
#commentList {
  display: flex;
  flex-direction: column;
}
.add-comment {
  padding: 0.5rem 1.2rem;
  margin: 0rem 25rem;
  border-radius: 10px;
  background: linear-gradient(145deg, #15a7d2, #19c7f9);
  color: white;
  font-size: 31px;
  font-weight: 600;
  border-style: none;
  margin-bottom: 2rem;
}
h1 {
  font-size: 21px;
  color: rgb(83, 83, 83);
}

.add-contact:focus,
input:focus {
  outline: none;
}
@media all and (max-width: 601px) {
  .add-comment {
    padding: 0.2rem 0.5rem;
    margin: 0.5rem 5rem 2rem 5rem;
    font-size: 18px;
  }
}
</style>
